Name: aha
Summary: Convert terminal output to HTML
License: MPLv1.1 or LGPLv2+

Version: 0.5.1
Release: 2%{?dist}

URL: https://github.com/theZiz/aha
Source0: %{URL}/archive/%{version}/%{name}-%{version}.tar.gz

# Fix a null pointer dereference when interpreting
# invalid 24-bit color code escape sequences.
#
# Submitted upstream: https://github.com/theZiz/aha/pull/97
Patch0: 0000-fix-null-pointer-dereference.patch

BuildRequires: gcc
BuildRequires: make


%description
%{name} parses output from other programs,
recognizes ANSI terminal escape sequences
and produces an HTML rendition of the original text.


%prep
%autosetup -p1
# Extract license header from source code
cat aha.c | awk '1;/\*\//{exit}' > LICENSE


%build
%set_build_flags
%make_build


%install
%make_install PREFIX=%{_prefix}


%files
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Mon Jul 11 2022 Artur Frenszek-Iwicki <fedora@svgames.pl> - 0.5.1-2
- Add a patch to fix segfault because of null pointer dereference

* Mon Sep 14 2020 Artur Frenszek-Iwicki <fedora@svgames.pl> - 0.5.1-1
- Update to latest upstream release

* Sat Oct 27 2018 Artur Iwicki <fedora@svgames.pl> - 0.5-1
- Update to latest upstream release

* Wed Jul 18 2018 Artur Iwicki <fedora@svgames.pl> - 0.4.10.6-2
- Invoke %%set_build_flags before building
- Use %%make_build instead of "make %%{?_smp_flags}"

* Sun Jul 15 2018 Artur Iwicki <fedora@svgames.pl> - 0.4.10.6-1
- Initial packaging
